package prednaska;

import java.io.*;
import java.util.Iterator;
import java.util.Scanner;
import java.util.SortedSet;
import java.util.TreeSet;

/**
 *
 * @author Miroslav Balík
 * Pro předmět programování 1 na FEL ČVUT
 */
public class VypisRuznychSlov {

    private static Scanner scan;

    public static void main(String[] args) {
        SortedSet slova = nactiVsechnaSlova();
        vypisJeVPoradiPodleCetnosti(slova);
    }

    private static SortedSet nactiVsechnaSlova() {
        SortedSet slova = new TreeSet();
        try {
            scan = new Scanner(new FileInputStream("vstup.txt"));
            while(scan.hasNext()){
                slova.add(scan.next());//přidá další slovo, pokud se neopakuje
            }
        } catch (IOException ex) {
            System.out.println("Soubor vstup.txt nebyl nalezen.");
        }
        return slova;
    }

    private static void vypisJeVPoradiPodleCetnosti(SortedSet slova) {
        for (Iterator it = slova.iterator(); it.hasNext();) {
            String slovo = (String)it.next();
            System.out.println(slovo);
        }
    }
    
}
