package prednaska;

import java.io.*;
import java.util.Iterator;
import java.util.Scanner;
import java.util.SortedSet;
import java.util.TreeSet;

/**
 *
 * @author Miroslav Balík
 * Pro předmět programování 1 na FEL ČVUT
 */
public class VypisRuznychSlovNewJava {

    private static Scanner scan;

    public static void main(String[] args) {
        
        SortedSet<String> slova = nactiVsechnaSlova();
        vypisJeVPoradiPodleCetnosti(slova);
    }


    private static SortedSet<String> nactiVsechnaSlova() {
        SortedSet<String> slova = new TreeSet<String>();
        try {
            scan = new Scanner(new FileInputStream("vstup.txt"));
            while(scan.hasNext()){
                slova.add(scan.next());//přidá další slovo, pokud se neopakuje
            }
        } catch (IOException ex) {
            System.out.println("Soubor vstup.txt nebyl nalezen.");
        }
        return slova;
    }

    private static void vypisJeVPoradiPodleCetnosti(SortedSet<String> slova) {
        for (String slovo : slova) {
            System.out.println(slovo);
        }
    }
    private static void vypisJeVPoradiPodleCetnosti0(SortedSet<String> slova) {
        for (Iterator<String> it = slova.iterator(); it.hasNext();) {
            String slovo = it.next();
            System.out.println(slovo);

        }
    }
}
